程序包org.junit不存在的解决方案(Package org Solution where JUnit does not exist)

原因:

个人考虑产生此错误的原因是因为Eclipse中对于测试和开发的鉴定不明?Intellij中没有错误,因为Intellij对项目的管理就是同Maven结构的。

解决方案:

原来的junit的scope是test,可以将它注释后作为临时的解决方案:

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <!-- 默认的版本为3.8.1,修改为4.x,因为3.x使用的为编程的方式,4.x为注解的形式。 -->
            <version>4.12</version>
            <!-- 表示这个依赖的作用域范围为test -->
            <scope>test</scope>
        </dependency>

修改后的pom.xml文件依赖:

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <!-- 默认的版本为3.8.1,修改为4.x,因为3.x使用的为编程的方式,4.x为注解的形式。 -->
            <version>4.12</version>
        </dependency>

文章来源:https://www.cnblogs.com/LiuChunfu/p/5598367.html

————————

reason:

I think the reason for this error is that the identification of testing and development in eclipse is unknown? There are no errors in IntelliJ, because IntelliJ’s project management is the same as Maven’s structure.

Solution:

The original JUnit scope is test, which can be annotated as a temporary solution:

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <!-- 默认的版本为3.8.1,修改为4.x,因为3.x使用的为编程的方式,4.x为注解的形式。 -->
            <version>4.12</version>
            <!-- 表示这个依赖的作用域范围为test -->
            <scope>test</scope>
        </dependency>

Modified POM XML file dependency:

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <!-- 默认的版本为3.8.1,修改为4.x,因为3.x使用的为编程的方式,4.x为注解的形式。 -->
            <version>4.12</version>
        </dependency>

文章来源:https://www.cnblogs.com/LiuChunfu/p/5598367.html